fn main() {
    let ref_v; // vへの参照を代入する変数。型が推論される

    {
        let mut v = Vec::new(); // ベクタを定義。型が推論される
        v.push(10);

        ref_v = &mut v; // vが破棄されるため、コンパイルエラー
    }

    ref_v.push(10);
}
